      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQRMHL                                     **
      **                                                              **
      **  DESCRIPTION:    MQRMH Structure -- Reference Message        **
      **                  Header                                      **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2022"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2022 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQRMH,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  06/06/22 18:18                                **
      ** Build Level:   p930-L220606                                  **
      ** Build Type:    Production                                    **
      ** Pointer Size:  32 Bit                                        **
      ** Source File:                                                 **
      ** CMQRMHL                                                      **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQRMH structure
       10  MQRMH.
      ** Structure identifier
       15  MQRMH-STRUCID PIC X(4).
      ** Structure version number
       15  MQRMH-VERSION PIC S9(9) BINARY.
      ** Total length of MQRMH, including strings at end of fixed
      ** fields, but not the bulk data
       15  MQRMH-STRUCLENGTH PIC S9(9) BINARY.
      ** Numeric encoding of bulk data
       15  MQRMH-ENCODING PIC S9(9) BINARY.
      ** Character set identifier of bulk data
       15  MQRMH-CODEDCHARSETID PIC S9(9) BINARY.
      ** Format name of bulk data
       15  MQRMH-FORMAT PIC X(8).
      ** Reference message flags
       15  MQRMH-FLAGS PIC S9(9) BINARY.
      ** Object type
       15  MQRMH-OBJECTTYPE PIC X(8).
      ** Object instance identifier
       15  MQRMH-OBJECTINSTANCEID PIC X(24).
      ** Length of source environment data
       15  MQRMH-SRCENVLENGTH PIC S9(9) BINARY.
      ** Offset of source environment data
       15  MQRMH-SRCENVOFFSET PIC S9(9) BINARY.
      ** Length of source object name
       15  MQRMH-SRCNAMELENGTH PIC S9(9) BINARY.
      ** Offset of source object name
       15  MQRMH-SRCNAMEOFFSET PIC S9(9) BINARY.
      ** Length of destination environment data
       15  MQRMH-DESTENVLENGTH PIC S9(9) BINARY.
      ** Offset of destination environment
       15  MQRMH-DESTENVOFFSET PIC S9(9) BINARY.
      ** Length of destination object name
       15  MQRMH-DESTNAMELENGTH PIC S9(9) BINARY.
      ** Offset of destination object name
       15  MQRMH-DESTNAMEOFFSET PIC S9(9) BINARY.
      ** Length of bulk data
       15  MQRMH-DATALOGICALLENGTH PIC S9(9) BINARY.
      ** Low offset of bulk data
       15  MQRMH-DATALOGICALOFFSET PIC S9(9) BINARY.
      ** High offset of bulk data
       15  MQRMH-DATALOGICALOFFSET2 PIC S9(9) BINARY.


      ******************************************************************
      **  End of CMQRMHL                                              **
      ******************************************************************
